# KSPGetDiagonalScale

Checks if KSP solver scales the matrix and right hand side

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT KSPGetDiagonalScale(KSP ksp,PetscTruth *scale)

Not Collective

### Input Parameter

ksp -the KSP context

### Output Parameter

scale -PETSC_TRUE or PETSC_FALSE

### Notes

BE CAREFUL with this routine: it actually scales the matrix and right hand side that define the system. After the system is solved the matrix and right hand side remain scaled.

This routine is only used if the matrix and preconditioner matrix are the same thing.

### Keywords

KSP, set, options, prefix, database

### See Also

KSPSetDiagonalScale(), KSPSetDiagonalScaleFix()

Level:intermediate
Location: src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages